Subject: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: Dmitry Gutov <[email-masked]>
Date: Thu, 22 Jan 2015 23:02:22 +0200

On 01/22/2015 08:02 PM, Eli Zaretskii wrote:

> What I need is a way to find definitions of both C and Lisp symbols
> (functions, macros, struct's, etc.) irrespective of the current
> buffer's major mode.  If xref can do that, it's fine with me.

Would it also be irrespective of the current file, or its project? Would 
it not depend on major mode at all, so it would also be true in 
help-mode and similar buffers?

If you want it in all major modes, you can use find-file-hook instead of 
emacs-lisp-mode-hook. If in all files everywhere, then you can also drop 
the buffer-file-name check, ending up with

(add-hook 'find-file-hook #'xref-etags-mode t)

That doesn't help with non-file buffers, though. But you can use a 
separate major mode hook for each.